#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 random-fu
version:              0.3.0.0
visibility:           public
id:                   random-fu-0.3.0.0-1y4P2meAARm1xAyT0CVxK4
key:                  random-fu-0.3.0.0-1y4P2meAARm1xAyT0CVxK4
license:              LicenseRef-PublicDomain
maintainer:           Dominic Steinitz <dominic@steinitz.org>
author:               James Cook <mokus@deepbondi.net>
stability:            provisional
homepage:             https://github.com/mokus0/random-fu
synopsis:             Random number generation
description:
    Random number generation based on modeling random
    variables in two complementary ways: first, by the
    parameters of standard mathematical distributions and,
    second, by an abstract type ('\''RVar'\'') which can be
    composed and manipulated monadically and sampled in
    either monadic or \"pure\" styles.

    The primary purpose of this library is to support
    defining and sampling a wide variety of high quality
    random variables.  Quality is prioritized over speed,
    but performance is an important goal too.

    In my testing, I have found it capable of speed
    comparable to other Haskell libraries, but still
    a fair bit slower than straight C implementations of
    the same algorithms.

category:             Math
abi:                  406d8e5b1f57edd1805ed80ada195feb
exposed:              True
exposed-modules:
    Data.Random Data.Random.Distribution
    Data.Random.Distribution.Bernoulli Data.Random.Distribution.Beta
    Data.Random.Distribution.Binomial
    Data.Random.Distribution.Categorical
    Data.Random.Distribution.ChiSquare
    Data.Random.Distribution.Dirichlet
    Data.Random.Distribution.Exponential Data.Random.Distribution.Gamma
    Data.Random.Distribution.Multinomial
    Data.Random.Distribution.Normal Data.Random.Distribution.Pareto
    Data.Random.Distribution.Poisson Data.Random.Distribution.Rayleigh
    Data.Random.Distribution.Simplex
    Data.Random.Distribution.StretchedExponential
    Data.Random.Distribution.T Data.Random.Distribution.Triangular
    Data.Random.Distribution.Uniform Data.Random.Distribution.Weibull
    Data.Random.Distribution.Ziggurat Data.Random.Internal.Find
    Data.Random.Internal.Fixed Data.Random.Lift Data.Random.List
    Data.Random.RVar Data.Random.Sample Data.Random.Vector

import-dirs:          /usr/lib/ghc-9.0.2/site-local/random-fu-0.3.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/random-fu-0.3.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-random-fu
hs-libraries:         HSrandom-fu-0.3.0.0-1y4P2meAARm1xAyT0CVxK4
depends:
    base-4.15.1.0 erf-2.0.0.0-HR6qYigvkwv59tgVmdiMH1
    math-functions-0.3.4.2-4KD9t34NQoPJ8NkjeIhu67
    monad-loops-0.4.3-C4VZ1LczQKA9hVl8DS9fX mtl-2.2.2
    random-1.2.1-5J0ZhMIxycI8iOnaSxybOH
    random-shuffle-0.0.4-6RP8KFIBvLHH9yfQ8v2OAV
    rvar-0.3.0.0-9QrhBoFm682308N4V49mq1
    syb-0.7.2.1-DulFDF8549UG6dz4rfmowQ template-haskell-2.17.0.0
    transformers-0.5.6.2 vector-0.12.3.1-K551lzEJJcR9600hgrx2VO

haddock-interfaces:   /usr/share/doc/haskell-random-fu/html/random-fu.haddock
haddock-html:         /usr/share/doc/haskell-random-fu/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

